# Neofetch 1.7


### Contributers

Thanks to the following people for contributing this release.

- **[@dawidd6](https://github.com/dawidd6)**


### General

- Made it easier to get verbose logs.
- Added issue template for github.

### Error Messages

Neofetch now supports displaying error messages and saving a verbose log for<br \>
troubleshooting.

![log](https://ipfs.pics/ipfs/QmeTWGKozY79zcxbrgXueyTRfQcTUe7ZmDqLv4ASgJB4G4)

- Added `-v` to print error messages to stdout.
- Added `-vv` to print a verbose log to stdout. \[1\]

\[1\] Use `neofetch -vv 2> file` to save a verbose log for bug reporting.

### Info

**prin**<br \>
- Format changes to fix issues with colons in string. This change also makes<br \>
`prin` use the same args as `info`.

```sh
# OLD Format
prin "Subtitle: Text goes here"

# NEW Format
prin "Subtitle" "Text goes here"
```

**Underline**<br \>
- Underlining is no longer hardcoded to title length meaning you can now<br \>
underline any part of the output and the length will match.
- `$underline` was renamed to `$underline_enabled`.

```sh
# OLD Variable
underline="on"

# NEW Variable
underline_enabled="on"
```

**Distro**<br \>
- Fix arch issues with ARM cpus.
- We now use `uname -m` to get the arch instead of hardcoding `x86`.
- Moved distro detection to a function called `getdistro`.
- Fixed issue with `ascii_distro` not working.

**CPU**<br \>
- Fixed issues when cpu speed was < 1Ghz
- Cleanup of CPU function.

**Packages**<br \>
- Fixed incorrect package count when an Arch user had `dpkg` installed...

**Desktop Environment**<br \>
- [ Linux ] Fallback to using `xprop` if `$XDG_CURRENT_DESKTOP` is empty.
- Use `$de` instead of `$XDG_CURRENT_DESKTOP` for wallpaper and theme detection.
- Fixed xprop bug with DE detection when X wasn't running.

**Window Manager Theme**<br \>
- Fixed bug when `$de` was unset.

**Color Blocks**<br \>
- Fixed bug when the blocks wrap a line causing a large white strip to appear.


### Ascii

- Added KDE neon ascii art.

### Colors

- Fixed bug with `--colors` not working with all 256 terminal colors.
- `--colors 7` now uses the color white. \[1\]
- `--colors fg` now uses the foreground color. \[1\]

\[1\] Neofetch tried to be smart before by assuming that the foreground color<br \>
would be white or black. This caused issues for those setting the foreground<br \>
color to red or etc. This change adds a new value for `--colors` and `colors=()`<br \>
called `fg` which will set the color to your foreground color.
